/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-mvkg2ihlja] {
    position: relative;
    display: flex;
    flex-direction: column;
}
main[b-mvkg2ihlja] {
    flex: 1;
}
article[b-mvkg2ihlja] {
    padding: 0 !important;
}
.copyright[b-mvkg2ihlja] {
    position: fixed;
    width: 100%;
    text-align: center;
    bottom: 10px;
    color: rgba(255, 255, 255, 0.5);
    font-size: 0.7rem;
    pointer-events: none;
    user-select: none;
    z-index: 1001;
}
@media (max-width: 640.98px) {
    .copyright[b-mvkg2ihlja] {
        font-size: 0.5rem;
    }
}
@media (min-width: 641px) {
    .page[b-mvkg2ihlja] {
        flex-direction: row;
    }
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-lihvv6zzj0],
.components-reconnect-repeated-attempt-visible[b-lihvv6zzj0],
.components-reconnect-failed-visible[b-lihvv6zzj0],
.components-pause-visible[b-lihvv6zzj0],
.components-resume-failed-visible[b-lihvv6zzj0],
.components-rejoining-animation[b-lihvv6zzj0] {
    display: none;
    color: white;
}
#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-retrying[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-failed[b-lihvv6zzj0],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-lihvv6zzj0] {
    display: block;
    color: white;
}
#components-reconnect-modal[b-lihvv6zzj0] {
    background-color: black;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-lihvv6zzj0 0.5s both;
    &[open]
{
    animation: components-reconnect-modal-slideUp-b-lihvv6zzj0 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-lihvv6zzj0 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}
}
#components-reconnect-modal[b-lihvv6zzj0]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-lihvv6zzj0 0.5s ease-in-out;
    opacity: 1;
}
@keyframes components-reconnect-modal-slideUp-b-lihvv6zzj0 {
    0% {
        transform: translateY(30px) scale(0.95);
    }
    100% {
        transform: translateY(0);
    }
}
@keyframes components-reconnect-modal-fadeInOpacity-b-lihvv6zzj0 {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes components-reconnect-modal-fadeOutOpacity-b-lihvv6zzj0 {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
.components-reconnect-container[b-lihvv6zzj0] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}
#components-reconnect-modal p[b-lihvv6zzj0] {
    margin: 0;
    text-align: center;
}
#components-reconnect-modal button[b-lihvv6zzj0] {
    border: 0;
    background-color: #AAAAAA;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}
    #components-reconnect-modal button:hover[b-lihvv6zzj0] {
        background-color: white;
    }
    #components-reconnect-modal button:active[b-lihvv6zzj0] {
        background-color: #AAAAAA;
    }
.components-rejoining-animation[b-lihvv6zzj0] {
    position: relative;
    width: 80px;
    height: 80px;
}
    .components-rejoining-animation div[b-lihvv6zzj0] {
        position: absolute;
        border: 3px solid white;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-lihvv6zzj0 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }
        .components-rejoining-animation div:nth-child(2)[b-lihvv6zzj0] {
            animation-delay: -0.5s;
        }
@keyframes components-rejoining-animation-b-lihvv6zzj0 {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }
    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }
    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }
    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Home.razor.rz.scp.css */
.video-background[b-b96mlnvtmz] {
    position: fixed;
    inset: 0;
    z-index: -1;
    overflow: hidden;
    background-color: black;
    pointer-events: none;
}
    .video-background video[b-b96mlnvtmz] {
        width: 100%;
        height: 100%;
        object-fit: cover;
        pointer-events: none;
        user-select: none;
    }
.content[b-b96mlnvtmz] {
    position: relative;
    z-index: 1;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    place-self: center;
    padding: 0 !important;
    user-select: none;
}
.logo[b-b96mlnvtmz] {
    width: 80px;
    height: 80px;
    opacity: 0;
    transform: scale(.75);
    filter: blur(10px);
    transition: opacity .7s ease, transform .7s ease, filter .7s ease;
    pointer-events: none;
    margin-bottom: 20px;
    user-select: none;
}
    .logo.show[b-b96mlnvtmz] {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
        pointer-events: auto;
    }
.enter-button[b-b96mlnvtmz] {
    background-color: #AAAAAA;
    border-width: 0;
    padding: 4px 10px 4px 10px;
    font-weight: 600;
    letter-spacing: 3px;
    color: black;
    opacity: 0;
    transform: scale(.75);
    filter: blur(10px);
    transition: opacity .7s ease, transform .7s ease, filter .7s ease;
    animation: flashOut .4s forwards;
    user-select: none;
}
    .enter-button.show[b-b96mlnvtmz] {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
        pointer-events: auto;
    }
    .enter-button:hover[b-b96mlnvtmz] {
        animation: flashIn-b-b96mlnvtmz .4s forwards;
    }
@keyframes flashIn-b-b96mlnvtmz {
    0% {
        background: #AAAAAA;
        box-shadow: 0 0 0 white;
    }
    20% {
        background: white;
        box-shadow: 0 0 10px white;
    }
    40% {
        background: #AAAAAA;
        box-shadow: 0 0 0 white;
    }
    60% {
        background: white;
        box-shadow: 0 0 20px white;
    }
    100% {
        background: white;
        box-shadow: 0 0 15px white;
    }
}
.description[b-b96mlnvtmz] {
    position: fixed;
    right: 30px;
    top: 30px;
    display: flex;
    flex-direction: column;
    color: #AAAAAA;
    gap: 0rem;
    z-index: 10;
    line-height: 0.2rem;
    font-size: 0.8rem;
    text-align: right;
    pointer-events: none;
    user-select: none;
    opacity: 0;
    filter: blur(2px);
    transition: opacity .7s ease, filter .7s ease;
}
    .description.show[b-b96mlnvtmz] {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
        pointer-events: auto;
    }
.contact[b-b96mlnvtmz] {
    position: fixed;
    left: 30px;
    bottom: 30px;
    display: flex;
    flex-direction: column;
    color: #AAAAAA;
    text-decoration: none;
    text-decoration-color: none;
    gap: 0rem;
    z-index: 10;
    line-height: 0.2rem;
    font-size: 0.8rem;
    user-select: none;
    opacity: 0;
    filter: blur(2px);
    transition: opacity .7s ease, filter .7s ease;
}
    .contact.show[b-b96mlnvtmz] {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
        pointer-events: auto;
    }
a[b-b96mlnvtmz], a:visited[b-b96mlnvtmz], a:active[b-b96mlnvtmz] {
    color: inherit;
    text-decoration: none;
}
a:hover[b-b96mlnvtmz] {
    color: white;
    text-decoration: none;
}
